Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232845 - Kernel BUGs triggered by bringing up an IPSec tunnel
Summary: Kernel BUGs triggered by bringing up an IPSec tunnel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-18 20:26 UTC by Bojan Smojver
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.6.20-1.2944.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 23:24:39 UTC


Attachments (Terms of Use)
Snippet from /var/log/messages when this happens (deleted)
2007-03-18 20:26 UTC, Bojan Smojver
no flags Details

Description Bojan Smojver 2007-03-18 20:26:22 UTC
Description of problem:
When attempts are made to bring up an IPSec tunnel, various kernel BUGs are
triggered (see attached log).

Version-Release number of selected component (if applicable):
2.6.20-1.2925.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Bring up an IPSec tunnel (see script in bug #217306).

Actual results:
Kernel BUGs triggered.

Expected results:
This did not happen before 2.6.20 series of FC6 kernels.

Additional info:
See also bug #216349, where bind has issues with IPSec being brought up. Maybe
related?

Comment 1 Bojan Smojver 2007-03-18 20:26:22 UTC
Created attachment 150340 [details]
Snippet from /var/log/messages when this happens

Comment 2 Chuck Ebbert 2007-03-19 15:42:01 UTC
I know what causes the messages. Unfortunately the next kernel is already built
so the fix will have to wait a week or so.

Fix is here, for the record:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff_plain;h=c4823bce033be74c0fcfbcae2f1be0854fdc2e18


Comment 3 Bojan Smojver 2007-03-19 20:19:11 UTC
Don't understand the bit about the next kernel already being built. I only see
2.6.20-1.2925.fc6 in updates in no kernels in testing. Did I miss something?

Comment 4 Chuck Ebbert 2007-03-19 20:26:05 UTC
kernel 2933 is built and already on its way to testing.


Comment 5 Bojan Smojver 2007-03-19 20:29:48 UTC
Right. OK.

Comment 6 Bojan Smojver 2007-03-25 21:21:08 UTC
With 2.6.20-1.2933.fc6 this doesn't seem to be happening. So, I guess that fix
made it in after all. If you can confirm this, this can be closed.

Comment 7 Bojan Smojver 2007-03-26 09:17:49 UTC
I lied. Still there.

Comment 8 Chuck Ebbert 2007-03-26 14:30:24 UTC
Test kernels for this issue are at:

http://people.redhat.com/cebbert

Please test and report back.


Comment 9 Bojan Smojver 2007-03-27 07:10:56 UTC
Running it now. Will let you know.

Comment 10 Bojan Smojver 2007-03-27 11:06:58 UTC
So far so good. I'll test more tomorrow and report back.

Comment 11 Bojan Smojver 2007-03-28 07:42:47 UTC
Been running this thing all day today. No more BUGs triggered.


Note You need to log in before you can comment on or make changes to this bug.